JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
juce::dsp::Reverb Class Reference
juce_dsp » widgets

Processor wrapper around juce::Reverb for easy integration into ProcessorChain. More...

`#include <juce_Reverb.h>`

## Public Types
using | Parameters = juce::Reverb::Parameters

## Public Member Functions
| Reverb ()=default
| Creates an uninitialised Reverb processor.
const Parameters & | getParameters () const noexcept
| Returns the reverb's current parameters.
void | setParameters (const Parameters &newParams)
| Applies a new set of parameters to the reverb.
bool | isEnabled () const noexcept
| Returns true if the reverb is enabled.
void | setEnabled (bool newValue) noexcept
| Enables/disables the reverb.
void | prepare (const ProcessSpec &spec)
| Initialises the reverb.
void | reset () noexcept
| Resets the reverb's internal state.
template<typename ProcessContext >
void | process (const ProcessContext &context) noexcept
| Applies the reverb to a mono or stereo buffer.

## Detailed Description

Processor wrapper around juce::Reverb for easy integration into ProcessorChain.

## Member Typedef Documentation

## ◆ Parameters

using juce::dsp::Reverb::Parameters = juce::Reverb::Parameters

## Constructor & Destructor Documentation

## ◆ Reverb()

juce::dsp::Reverb::Reverb | ( |  | ) |
| default

Creates an uninitialised Reverb processor.

Call prepare() before first use.

## Member Function Documentation

## ◆ getParameters()

const Parameters & juce::dsp::Reverb::getParameters | ( |  | ) | const
| noexcept

Returns the reverb's current parameters.

## ◆ setParameters()

void juce::dsp::Reverb::setParameters | ( | const Parameters & | newParams | ) |

Applies a new set of parameters to the reverb.

Note that this doesn't attempt to lock the reverb, so if you call this in parallel with the process method, you may get artifacts.

## ◆ isEnabled()

bool juce::dsp::Reverb::isEnabled | ( |  | ) | const
| noexcept

Returns true if the reverb is enabled.

## ◆ setEnabled()

void juce::dsp::Reverb::setEnabled | ( | bool | newValue | ) |
| noexcept

Enables/disables the reverb.

## ◆ prepare()

void juce::dsp::Reverb::prepare | ( | const ProcessSpec & | spec | ) |

Initialises the reverb.

References juce::dsp::ProcessSpec::sampleRate.

## ◆ reset()

void juce::dsp::Reverb::reset | ( |  | ) |
| noexcept

Resets the reverb's internal state.

## ◆ process()

template<typename ProcessContext >

void juce::dsp::Reverb::process | ( | const ProcessContext & | context | ) |
| noexcept

Applies the reverb to a mono or stereo buffer.

References jassert, and jassertfalse.

The documentation for this class was generated from the following file:

- juce_dsp/widgets/juce_Reverb.h